#ifndef dos_h
#define dos_h
void dos_init();
void dos_free();
void dos_free_now(struct dos *mydos);

double get_n_pop_srh(double top,double T,int trap);
double get_p_pop_srh(double top,double T,int trap);
double get_dn_pop_srh(double top,double T,int trap);
double get_dp_pop_srh(double top,double T,int trap);

double get_n_w(double top,double T,double m,int type);
double get_p_w(double top,double T,double m,int type);
double get_top_from_n(double n,double T,double m,double Nc,int type);
double get_top_from_p(double p,double T,double m,double Nc,int type);
void load_dos(struct device *dev,char *namen, char *namep);
double get_n_den(double top,double T,double m,int type);
double get_dn_den(double top,double T,double m,int type);
double get_p_den(double top,double T,double m,int type);
double get_dp_den(double top,double T,double m,int type);
double get_dn_trap_den(double top,double T,double m,int type,int band);
double get_dp_trap_den(double top,double T,double m,int type);
int search(double *x,int N,double find);
double get_n_srh(double top,double T,int trap,int r);
double get_dn_srh(double top,double T,int trap,int r);
double get_p_srh(double top,double T,int trap,int r);
double get_dp_srh(double top,double T,int trap,int r);
double get_n_mu();
double get_p_mu();
#endif
